Bug 1295996 - gr-air-modes issues on F23
gr-air-modes issues on F23
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gr-air-modes (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 22:55 EST by Zbigniew Halas
Modified: 2016-01-15 18:24 EST (History)
1 user (show)

See Also:
Fixed In Version: gr-air-modes-0-0.43.20160106git514414f6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 18:24:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Halas 2016-01-05 22:55:52 EST
Description of problem:
gr-air-modes does not work for me on F23 with RTL2832U receiver.

Version-Release number of selected component (if applicable): 0-0.39.20140312gitcc0fa180.fc23.x86_64


How reproducible: always


Steps to Reproduce:
1. attach RTL2832U USB receiver
2. run: modes_rx -s osmocom -g 50 -T 10


Actual results:
Following error is displayed:
thread[thread-per-block[4]: <block preamble (8)>]: pmt_symbol_to_string: wrong_type : ()
The above error is actually exception in a thread, which prevents the program from running correctly


Expected results:
Program runs correctly and displays decoded ADS-B messages


Additional info:
This is fixed in upstream by this commit:
https://github.com/bistromath/gr-air-modes/commit/c96dea7fa0f70e29ea41215cec05131117ae3466
I applied this patch, and it fixed the error.
Comment 1 Jaroslav Škarvada 2016-01-06 04:16:41 EST
Thanks for info. The snapshot in Fedora is a bit old, I think it's time to refresh it.
Comment 2 Fedora Update System 2016-01-06 09:19:27 EST
gr-air-modes-0-0.43.20160106git514414f6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-33d53dd1b5
Comment 3 Fedora Update System 2016-01-06 23:53:37 EST
gr-air-modes-0-0.43.20160106git514414f6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-33d53dd1b5
Comment 4 Zbigniew Halas 2016-01-07 19:04:31 EST
I can confirm that the new package fixes the issue.
Comment 5 Fedora Update System 2016-01-15 18:24:38 EST
gr-air-modes-0-0.43.20160106git514414f6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.